<body>
<mat-toolbar  style="background-color:rgba(28, 24, 147, 0.815)" >
    <span class="spacer">
        <button type="submit"  class="btn  rounded mt-3 "  (click)="user()">Add</button>
    </span>
</mat-toolbar>
<div class="statustable">
<table mat-table [dataSource]="datasource" class="mat-elevation-z6 m-5  " >
    <ng-container matColumnDef="ip">
      <th mat-header-cell *matHeaderCellDef class="text-light"> ip </th>
      <td mat-cell *matCellDef="let element" class="text-light"> {{element.ip}} </td>
    </ng-container>
  

    <ng-container matColumnDef="port">
      <th mat-header-cell *matHeaderCellDef class="text-light"> port </th>
      <td mat-cell *matCellDef="let element" class="text-light"> {{element.port}} </td>
    </ng-container>
  
    
    <ng-container matColumnDef="address">
      <th mat-header-cell *matHeaderCellDef class="text-light"> address </th>
      <td mat-cell *matCellDef="let element" class="text-light"> {{element.address}} </td>
    </ng-container>

    <ng-container matColumnDef="projectname">
        <th mat-header-cell *matHeaderCellDef class="text-light"> projectname </th>
        <td mat-cell *matCellDef="let element" class="text-light"> {{element.projectname}} </td>
      </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</div>
</body>